{% load static %}
<header class="landing">
    <div class="bd-example">
        <div id="carouselExampleCaptions" class="carousel slide" data-ride="carousel">

            <div class="carousel-inner">
                {% for banner in site.banners.all %}
                    {% if banner.is_main == True %}
                        {% if forloop.counter == 1 %}
                            <div class="carousel-item active">
                                <img src="{{ banner.pic.url }}" class="d-block w-100" alt="{{ banner.text }}">
                            </div>
                        {% else %}
                        <div class="carousel-item">
                            <img src="{{ banner.pic.url }}" class="d-block w-100" alt="{{ banner.text }}">
                        </div>
                        {% endif %}
                    {% endif %}
                {% endfor %}
            </div>
            <div class="carousel-toolbox">
                <div class="vertical-line"></div>
                <div class="vertical-line-fill"></div>

                <div class="text"></div>
            </div>

            <div class="carousel-pagination">
                <ul class="list-unstyled">
                    <li class="mr-30">
                        <div class="circle fill">
                            <a href="#carouselExampleCaptions" class="carousel-control-prev" role="button"
                                data-slide="prev">
                                <i class="fas fa-chevron-left"></i>
                            </a>
                        </div>
                    </li>
                    <li>
                        <div class="circle fill">
                            <a href="#carouselExampleCaptions" class="carousel-control-next" role="button"
                                data-slide="next">
                                <i class="fas fa-chevron-right"></i>
                            </a>
                        </div>
                    </li>
                </ul>
            </div>
        </div>
    </div>

    <div class="container">
        <div class="box-container">
            <div class="row">
                {% for banner in site.banners.all %}
                    {% if banner.is_main == False %}
                        <div class="col-4 col-md-6 col-sm-6 col-lg-3 col-xl-3">
                            <div class="box">
                                <img class="w-100" src="{{ banner.pic.url }}" alt="{{ banner.text }}" />
                                <span>{{ banner.text }}</span>
                                
                                <a href="{% url banner.url_name %}">
                                    <ul class="list-unstyled d-none d-lg-block">
                                        <li>
                                            <img src="{% static 'assets/img/svg/arrow.svg' %}" alt="arrows" width="70px" >
                                        </li>
                                    </ul>
                                </a>
                            </div>
                        </div>
                        
                    {% endif %}
                {% endfor %}
            </div>
        </div>
    </div>

</header>